﻿* {
    box-sizing: border-box;
}

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    height: 100%;
    padding: 0;
    margin: 0;
    overflow: hidden;
}

body {
    line-height: 24px;
    font-weight: 400;
}

body, input {
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Cantarell, Ubuntu, "Helvetica Neue", Arial, sans-serif, "Noto Color Emoji", "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    font-size: 15px;
}

.main-layout {
    padding: 0;
    margin: 8px;
    height: calc(100% - 16px);
    width: calc(100% - 16px);
    border-radius: 28px;
    overflow: hidden;
}

.layout-body {
    /*  Block formatting context
        https: //stackoverflow.com/questions/1762539/margin-on-child-element-moves-parent-element */
    overflow: auto;
    padding: 0;
    height: 100%;
    width: 100%;
}

.mode-iframe .main-layout {
    margin: 0 8px 7px;
    height: calc(100% - 7px);
    width: calc(100% - 16px);
    border-radius: 28px;
}

.mode-standalone .main-layout {
    color: white;
}

.status-code-page {
    margin: 60px 0;
    text-align: center;
    font-size: 20px;
}

a {
    
}


h1,
h2, 
h3,
p {
    margin: 0 0 20px;
}

* + h1,
* + h2,
* + h3, 
* + p {
    margin-top: 20px;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
    margin: 0 auto;
}

td, th {
    border-top: solid 1px rgb(237, 237, 237);
    border-bottom: solid 1px rgb(237, 237, 237);
    padding: 12px 24px;
    text-align: left;
}

th {
    font-weight: 700;
    border-top: none;
}

table.narrow td,
table.narrow th {
    padding: 2px 4px;
}

table.nowrap td,
table.nowrap th {
    white-space: nowrap;
}


input[type="text"] {
    padding: 6px 8px;
    border: 2px solid var(--color-border-dark);
    border-radius: var(--border-radius-large);
    outline: none;
    background-color: var(--color-main-background);
    color: var(--color-main-text);
    font-size: var(--default-font-size);
}

input.error {
    border-color: var(--color-error);
}

span.input-like {
    display: block;
    padding: 10px;
}